<?php

$form = new nbrAdminForms('clientes');

if($form->Editing()){

    $whats = get_whats($form->record->WhatsApp);
    
    $msg = 'Olá ' . $form->record->Nome . '.';
    $msg .= "\r\n";
    $msg .= "\r\n";
    $msg .= 'Eu sou a Bárbara, a atendente da IlimitadaTV. Tudo bem com você?';
    $msg .= "\r\n";
    $msg .= "\r\n";
    $msg .= '📽️🍿📺';
    $form->AddLink('Enviar WhatsApp', './whats.php?num=' . $whats . '&msg=' . urlencode(base64_encode($msg)), '_blank');
}

$form->AddGroup('Informações Pessoais');
$form->AddFieldString('Nome', 'Nome', 95, 2);
$form->AddFieldString('SobreNome', 'Sobrenome', 145, 2, null, false);
$form->AddFieldString('Email', 'E-mail', 95, 2, null, false);
$form->AddFieldString('WhatsApp', 'WhatsApp', 45, 2);
$form->AddFieldDateTime('DataCadastro', 'Dt. Cadastro', 'NOW');

$form->AddGroup('Informações do Serviço');
$form->AddFieldString('login', 'Login', 45, 2, null, false, true);
$form->AddFieldString('senha', 'Senha', 45, 2, null, false, true);
$form->AddFieldDateTime('ProximoVencimento', 'Dt. Vencimento', null, false, true);
$form->AddFieldInteger('Conexoes', 'Conexões', 1, null, false);

$form->AddCollections('Faturas', 'faturas.grid.php', 'faturas', 'Cliente');

$form->PrintHTML();
?>